Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.ast
Interface TypeDeclElem

All Known Implementing Classes:
  FieldDecl, InitBlock, RoutineDecl, TypeDecl, TypeDeclElemPragma

public interface TypeDeclElem

Represents either a ClassBodyDeclaration or an InterfaceMemberDeclaration.

Method Summary
`void` | `accept(Visitor v)`
`java.lang.Object` | `accept(VisitorArgResult v, java.lang.Object o)`
`int` | `getModifiers()`
`TypeDecl` | `getParent()` The TypeDecl we are an element of, or null if we do not have a parent (cf. hasParent).
`ModifierPragmaVec` | `getPModifiers()`
`int` | `getStartLoc()`
`int` | `getTag()` Return the tag of a node.
`void` | `setModifiers(int m)`
`void` | `setParent(TypeDecl p)`

Method Detail

### getTag

    public int getTag()

  Return the tag of a node.

### accept

    public void accept(Visitor v)

### accept

    public java.lang.Object accept(VisitorArgResult v,
                                   java.lang.Object o)

### getParent

    public TypeDecl getParent()

  The TypeDecl we are an element of, or null if we do not have a parent (cf. hasParent).

### setParent

    public void setParent(TypeDecl p)

### getModifiers

    public int getModifiers()

### setModifiers

    public void setModifiers(int m)

### getPModifiers

    public ModifierPragmaVec getPModifiers()

### getStartLoc

    public int getStartLoc()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage